using System;
using SmartDS;
using System.Windows.Forms ; 
namespace BoOrders
{
	/// <summary>
	/// Summary description for DSOrders.
	/// </summary>
	public class DSCustOrders1 : CSmartDS1 
	{
		protected override void OnColumnChanging(object sender, System.Data.DataColumnChangeEventArgs e)
		{

			MessageBox.Show ("Entered Validation for column " + e.Column.ColumnName ); 
			if(e.Column.ColumnName == "OrderDate") 
			{
				if((DateTime)(e.ProposedValue) < DateTime.Now ) 
					throw new Exception("invalid value for OrderDate");
			}
			else if (e.Column.ColumnName == "Country") 
			{
				if((string)e.ProposedValue != "USA") 
					throw new Exception("invalid value for Country, must be equal to USA");
			}

			 base.OnColumnChanging  (sender ,e);
		}

		protected override void OnRowChanging(object sender, System.Data.DataRowChangeEventArgs e)
		{
			MessageBox.Show ("Entered Validation for row changing"); 
			base.OnRowChanging (sender, e);
		}

	}
}
