using System;
using System.Data ;
using System.Collections  ;
namespace ValidationRulesBase
{
	/// <summary>
	/// Summary description for CValidate.
	/// </summary>
	/// 
	// Validazioni definite nelle Ext Properties
	public interface IValidateProp
	{
		int validateProp(DataRow  p_dr,string p_colname, object p_proposedvalue,
			out string p_errdescr);
	}
	public interface IValidateRow
	{
		int validateRow(DataRow  p_dr, DataRowAction p_datarowaction,out string p_errdescr);
	}

	public interface IValidateTable
	{
		int validateTable(DataTable p_dt,out string p_errdescr);
	}

	public interface IValidateDs
	{
		int validateDs(DataSet p_ds,out string p_errdescr);
	}


	// Validazioni definite nei BO
	public interface IValidateBo
	{
		int validateBo(DataSet  p_ds,out string p_errdescr);
	}

	// Validazioni definite nei DO
	public interface IValidateDo
	{
		int validateDo(DataTable  p_dt,out string p_errdescr);
	}

	//

}
