using System;
using System.Configuration ;
using SmartDS ;
namespace BoOrders
{
	/// <summary>
	/// Summary description for OROrders.
	/// </summary>
	public class BOCustOrders1 : IORInterface1
	{

		private const string m_schema_filename = "CustOrders.xsd";

		private DSCustOrders1 pf_LoadDS() {
			DSCustOrders1 l_cs1 = new DSCustOrders1 ();
			l_cs1.ReadXmlSchema (
				ConfigurationSettings.AppSettings["SchemaLocation"] + 
					m_schema_filename );
			return l_cs1;

		}

		
		#region IORInterface Members

		public void Persist(CSmartDS1 p_DS)
		{
			//persist data to DB
		}

		public CSmartDS1 CreateNew()
		{
			return pf_LoadDS();
		}

		public CSmartDS1 Retrieve(object criteria)
		{
			DSCustOrders1 l_ds1 =  pf_LoadDS();
			//retrieve data from DB
			return l_ds1;
		}

		#endregion
	}
}
